#include <string>
#include <vector>
#include <ostream>

#include "tristate"

/* DoResumeHandling: false = no error possibility for resume
 *                    true = RESUME is supported
 */
extern tristate DoResumeHandling;

/* DoERLhandling:    If DoResumeHandling=false, has no effect
 *                   false = simple B_ERR_STMT_END_BRIEF(), smaller program
 *                   true = B_ERR_STMT_END() includes line number information
 */
extern tristate DoERLhandling;

/* DoEventChecks:    Support for ON PLAY and other ON.. events */
extern tristate DoEventChecks;

extern bool CheckStaticSubscripts;
extern bool MakeLineLines;

extern std::vector<std::string> global_data;

extern void Compile(
    std::ostream& output,
    const struct stmt* main_codep,
    const std::vector<std::string>& global_data);
