#ifndef bqtDprintfHH
#define bqtDprintfHH

#include "tristate"

extern tristate AllowColors;

enum dprintf_type
{
    dp_rulecomego,
    dp_rulematch,
    dp_lexer,
    dp_lexer_important,
    dp_declare,
    dp_param_tracking,
    dp_warnings,
    dp_errors
};
#define dprintf dbg_printf

extern "C" {
void dprintf(dprintf_type, const char*fmt,...) __attribute__((format(printf,2,3)));
}


#endif
